Cancel Task
curl --request POST \
--url https://api.example.com/tasks/{task_id}/cancelimport requests
url = "https://api.example.com/tasks/{task_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/tasks/{task_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/tasks/{task_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/tasks/{task_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/tasks/{task_id}/cancel")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/tasks/{task_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyTasks & Workflows
Cancel Task
Cancel a pending, queued, or running task
POST
/
tasks
/
{task_id}
/
cancel
Cancel Task
curl --request POST \
--url https://api.example.com/tasks/{task_id}/cancelimport requests
url = "https://api.example.com/tasks/{task_id}/cancel"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/tasks/{task_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/tasks/{task_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/tasks/{task_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/tasks/{task_id}/cancel")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/tasks/{task_id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyPOST /tasks//cancel
Request cancellation of an in-progress async task. Use this to abort energy model runs, shading computations, or other queued work that is no longer needed.Notes
- Only tasks with status
pending,queued, orrunningcan be cancelled. - Attempting to cancel a task that is already
completed,failed, orcancelledreturns a409 Conflicterror. - Returns
404if the task does not exist in the current workspace. - Requires a write session (workspace write access).
- The response contains the updated task record with status set to
cancelled. - Poll GET /tasks/ to confirm cancellation if the task was mid-execution.
Cancellation is best-effort for tasks already in
running state. The worker may complete before the cancellation is processed.